#!/sbin/sh
#VenomMod - do not use without permission.
echo "Launching Venom Mod..."
VenomFolder="/sdcard/Venom"
ToolsFolder="/sdcard/Venom/Tools"
ModFolder="$VenomFolder/Mod"
chmod 755 $ToolsFolder/*
! [ -d $TempFolder ] && mkdir $TempFolder
if [ -d $ModFolder ]; then
   echo "Found Mod Folder: $ModFolder"
   for ModPath in $ModFolder/* ; do
      SystemFolder=$(echo $ModPath | cut -d'/' -f5)
      echo "   Processing files in $ModPath"
      for ModFile in $ModPath/* ; do
         echo "      Found $ModFile"
         ModFileName=$(echo $ModFile | cut -d'/' -f6)
         SystemFile=/system/$SystemFolder/$ModFileName
         if [ -e $SystemFile ]; then
            echo "         Adding files in $ModFile to $SystemFile"
            cd $ModFile
            echo $ToolsFolder/zip -q -r $SystemFile *
            $ToolsFolder/zip -q -r $SystemFile *
            #$ToolsFolder/zip -r $SystemFile *
            echo "         Zipaligning $SystemFile"
            $ToolsFolder/zipalign -c 4 $SystemFile
         else
            echo "      Can't find $SystemFile to patch"
         fi
      done
   done
   #rm -r $ModFolder
else
   echo "$ModFolder doesn't exist."
fi
echo "Done."